> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutation: Eksportér ZonesMap som zip'et Shapefile

Generér et ZIP-arkiv med det valgte "ZonesMap" som shapefil.

{% hint style="info" %}
Arkivet består af filerne \*.shp, \*.shx, \*.prj og \*.dbf i EPSG:4326.
{% endhint %}

### 1. Forberedelse

* Attributten `vectorAnalysisMaps` indeholder et array af objekter af typen ZonesMaps (VectorAnalysisMaps), der skal eksporteres. Hvert objekt indeholder et par bestående af `fieldUuid` (reference til den valgte mark) og `uuid` (reference til det valgte ZonesMap).
* Den booleske attribut `asMultiGeometry` bestemmer, om zoner eksporteres som `Polygons` eller `MultiPolygons` (når den er sat til `true` ).
* Den booleske attribut `onlyProductColumns` angiver, om kun kolonner med produkter (RX) skal medtages i shapefilen (når `true`). Ellers medtages alle statistiske attributter og zone-id'er som kolonner.
* Attributten `archiveName` indeholder navnet på det genererede ZIP-arkiv.
* Attributten `filePostfix` giver mulighed for at føje brugerdefinerede suffikser til de eksporterede filer og arkivet.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Download det genererede arkiv

Når GraphQL-forespørgslen er kørt, kan arkivet downloades med `curl` eller en lignende metode.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
